curl --request POST \
--url https://api.paxos.com/v2/identity/identities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_details": {
"verifier_type": "PASSTHROUGH",
"passthrough_verifier_type": "JUMIO",
"passthrough_verified_at": "2021-06-16T09:28:14Z",
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1980-01-01",
"phone_number": "+1 555 678 1234",
"email": "example@somemail.org",
"cip_id": "111-11-1234",
"cip_id_type": "SSN",
"cip_id_country": "USA",
"nationality": "USA",
"address": {
"country": "USA",
"address1": "1 Example St",
"city": "New York",
"province": "NY",
"zip_code": "10001"
},
"metadata": {
"custom_property1": "custom value 1",
"custom_property2": "custom value 2"
}
},
"ref_id": "33ece656-eef1-43b5-a851-b6b9099089a5"
}
'{
"created_at": "2022-02-15T05:46:50.957068Z",
"id": "36ae1728-c54a-4046-86df-8a413e0ab9b3",
"person_details": {
"additional_screening_status": "PENDING",
"address": {
"address1": "1 Example St",
"city": "New York",
"country": "USA",
"province": "NY",
"zip_code": "10001"
},
"cip_id": "111-11-1234",
"cip_id_country": "USA",
"cip_id_type": "SSN",
"date_of_birth": "1980-01-01",
"first_name": "John",
"govt_id": "111-11-1234",
"govt_id_type": "SSN",
"id_verification_status": "APPROVED",
"last_name": "Doe",
"nationality": "USA",
"passthrough_verified_at": "2021-06-16T09:28:14Z",
"passthrough_verifier_type'": "JUMIO",
"sanctions_verification_status": "PENDING",
"verifier_type": "PASSTHROUGH"
},
"ref_id": "33ece656-eef1-43b5-a851-b6b9099089a5",
"summary_status": "PENDING",
"tax_details": [
{
"tax_payer_country": "USA",
"tax_payer_id": "111-11-1234"
}
],
"type": "PERSON",
"updated_at": "2022-02-15T05:46:50.957068Z"
}Create Identity
Creates a new Person or Institution Identity on the Paxos Platform.
A successful response indicates that the identity has been created and is PENDING approval. The identity is only
available to use on the Platform once it is APPROVED. For a full description of statuses read the status guide here.
For detailed guidance on which fields are required for your integration or the lifecycle of an Identity on the platform, please read the Identity Developer Guide.
curl --request POST \
--url https://api.paxos.com/v2/identity/identities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_details": {
"verifier_type": "PASSTHROUGH",
"passthrough_verifier_type": "JUMIO",
"passthrough_verified_at": "2021-06-16T09:28:14Z",
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1980-01-01",
"phone_number": "+1 555 678 1234",
"email": "example@somemail.org",
"cip_id": "111-11-1234",
"cip_id_type": "SSN",
"cip_id_country": "USA",
"nationality": "USA",
"address": {
"country": "USA",
"address1": "1 Example St",
"city": "New York",
"province": "NY",
"zip_code": "10001"
},
"metadata": {
"custom_property1": "custom value 1",
"custom_property2": "custom value 2"
}
},
"ref_id": "33ece656-eef1-43b5-a851-b6b9099089a5"
}
'{
"created_at": "2022-02-15T05:46:50.957068Z",
"id": "36ae1728-c54a-4046-86df-8a413e0ab9b3",
"person_details": {
"additional_screening_status": "PENDING",
"address": {
"address1": "1 Example St",
"city": "New York",
"country": "USA",
"province": "NY",
"zip_code": "10001"
},
"cip_id": "111-11-1234",
"cip_id_country": "USA",
"cip_id_type": "SSN",
"date_of_birth": "1980-01-01",
"first_name": "John",
"govt_id": "111-11-1234",
"govt_id_type": "SSN",
"id_verification_status": "APPROVED",
"last_name": "Doe",
"nationality": "USA",
"passthrough_verified_at": "2021-06-16T09:28:14Z",
"passthrough_verifier_type'": "JUMIO",
"sanctions_verification_status": "PENDING",
"verifier_type": "PASSTHROUGH"
},
"ref_id": "33ece656-eef1-43b5-a851-b6b9099089a5",
"summary_status": "PENDING",
"tax_details": [
{
"tax_payer_country": "USA",
"tax_payer_id": "111-11-1234"
}
],
"type": "PERSON",
"updated_at": "2022-02-15T05:46:50.957068Z"
}identity:write_identity
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A user-facing ID to prevent duplicate identity creation. Unique for all identities created by the same API user.
Show child attributes
Show child attributes
Required for all institution identity types. The required roles and number of members vary by institution type; see the developer guide for details.
Show child attributes
Show child attributes
List of tax details associated with the identity. Must be set if tax_details_not_required is false or not set.
Show child attributes
Show child attributes
Set to true if tax details are not legally required. Must not be true when cip_id_country is USA.
Show child attributes
Show child attributes
Set to true to indicate that this identity is a merchant.
Response
A successful response.
Show child attributes
Show child attributes
PENDING, ERROR, APPROVED, DENIED, DISABLED Show child attributes
Show child attributes
PENDING, ERROR, APPROVED, DENIED, DISABLED Deprecated: use status_details.active_controls instead.
Deprecated: use status_details.active_controls instead.
Show child attributes
Show child attributes
PERSON, INSTITUTION A user-facing ID to prevent duplicate account creation. Unique for all accounts created by the same API user.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The time at which the identity is created at. RFC3339 format, like YYYY-MM-DDTHH:MM:SS.sssZ. ex: 2006-01-02T15:04:05Z.
The time at which the identity is updated at. RFC3339 format, like YYYY-MM-DDTHH:MM:SS.sssZ. ex: 2006-01-02T15:04:05Z.
Show child attributes
Show child attributes
The TIN verification status for the associated tax_payer_id.
TIN_VERIFICATION_PENDING, TIN_VERIFICATION_ERROR, TIN_VERIFICATION_VALID Show child attributes
Show child attributes
True if the identity is a merchant.
The last timestamp the identity has undergone a periodic kyc refresh. RFC3339 format, like YYYY-MM-DDTHH:MM:SS.sssZ. ex: 2006-01-02T15:04:05Z.
Was this page helpful?